<bugID>495470<Summary>Firefox losing Automatic proxy configuration URL on restart</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.10) Gecko/2009042316 Firefox/3.0.10 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.10) Gecko/2009042316 Firefox/3.0.10 (.NET CLR 3.5.30729)

Simple.
I've got network.proxy.autoconfig_url user set to my corporate location for the *.pac file. 
Every time I close Firefox and reopen, or when I reboot the PC, I lose this information from the Network settings.
It's reproduceable always with my Firefox 3.0.10. Did not have this problem in my previous version.


Reproducible: Always

Steps to Reproduce:
1. Set your network.proxy.autoconfig_url to something like "http://proxyserver.domain.com/proxy.pac
Do this through Tools &gt; Options &gt; Network &gt; Settings
2. Close Firefox
3. Reopen Firefox
4. Go to Tools &gt; Options &gt; Network &gt; Settings again, to see the Proxy URL empty.</Description></bugID>